diff --git a/src/knot/server/xfr-handler.c b/src/knot/server/xfr-handler.c
index 4efe4f8..fb29e73 100644
--- a/src/knot/server/xfr-handler.c
+++ b/src/knot/server/xfr-handler.c
@@ -321,7 +321,9 @@ static int xfr_task_close(knot_ns_xfr_t *rq)
 
 	/* Reschedule failed bootstrap. */
 	if (rq->type == XFR_TYPE_AIN && !knot_zone_contents(rq->zone)) {
-		/* Progressive retry interval up to AXFR_RETRY_MAXTIME */
+		/* Progressive retry interval up to AXFR_RETRY_MAXTIME,
+		 * next = 2*current + jitter */
+		zd->xfr_in.bootstrap_retry *= 2;
 		zd->xfr_in.bootstrap_retry += knot_random_uint32_t() % AXFR_BOOTSTRAP_RETRY;
 		if (zd->xfr_in.bootstrap_retry > AXFR_RETRY_MAXTIME)
 			zd->xfr_in.bootstrap_retry = AXFR_RETRY_MAXTIME;
diff --git a/src/knot/server/zones.h b/src/knot/server/zones.h
index b8e509f..8a0c2b0 100644
--- a/src/knot/server/zones.h
+++ b/src/knot/server/zones.h
@@ -43,8 +43,8 @@
 
 /* Constants. */
 #define ZONES_JITTER_PCT    10 /*!< +-N% jitter to timers. */
-#define AXFR_BOOTSTRAP_RETRY (30*1000) /*!< Interval between AXFR BS retries. */
-#define AXFR_RETRY_MAXTIME (10*60*1000) /*!< Maximum interval 10mins */
+#define AXFR_BOOTSTRAP_RETRY (30*1000) /*!< Jitter cap between AXFR bootstrap retries. */
+#define AXFR_RETRY_MAXTIME (24*60*60*1000) /*!< Maximum AXFR retry interval cap of 24 hours. */
 
 enum {
 	REFRESH_DEFAULT = -1 /* Use time value from zone structure. */
